Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.nio
Class XMPPDecoder

    java.lang.Object
      org.apache.mina.filter.codec.ProtocolDecoderAdapter
          org.apache.mina.filter.codec.CumulativeProtocolDecoder
              org.jivesoftware.openfire.nio.XMPPDecoder

All Implemented Interfaces:
  org.apache.mina.filter.codec.ProtocolDecoder

    public class XMPPDecoder

extends org.apache.mina.filter.codec.CumulativeProtocolDecoder

Decoder class that parses ByteBuffers and generates XML stanzas. Generated stanzas are then passed to the next filters.

Author:
  Gaston Dombiak

Constructor Summary
`XMPPDecoder()`

Method Summary
`protected boolean` | `doDecode(org.apache.mina.common.IoSession session, org.apache.mina.common.ByteBuffer in, org.apache.mina.filter.codec.ProtocolDecoderOutput out)`

Methods inherited from class org.apache.mina.filter.codec.CumulativeProtocolDecoder
`decode, dispose`

Methods inherited from class org.apache.mina.filter.codec.ProtocolDecoderAdapter
`finishDecode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMPPDecoder

    public XMPPDecoder()

Method Detail

### doDecode

    protected boolean doDecode(org.apache.mina.common.IoSession session,
                               org.apache.mina.common.ByteBuffer in,
                               org.apache.mina.filter.codec.ProtocolDecoderOutput out)
                        throws Exception

  Specified by:
    `doDecode` in class `org.apache.mina.filter.codec.CumulativeProtocolDecoder`
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.